# IWisejExtenderProvider

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines the interface for extending properties to other components in a container.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IWisejExtenderProvider : IExtenderProvider
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IWisejExtenderProvider
    Inherits IExtenderProvider
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) RenderDesignMode(component)

Renders the extended wisej properties for the specified component.

| Parameter     | Type                                                                        | Description |
| ------------- | --------------------------------------------------------------------------- | ----------- |
| **component** | [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md) |             |

**Returns:** [Object](https://docs.microsoft.com/dotnet/api/system.object).

This method is used at design time to let the extenders affect the rendering.

## Implemented By

| Name                                                           | Description                                                                                              |
| -------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| [Rotation](/api/wisej.web/extenders/rotation.md)               | Add rotation capabilities along the X,Y,Z axis to [Control](/api/wisej.web/general/control.md) controls. |
| [StyleSheet](/api/wisej.web/extenders/wisej.web.stylesheet.md) | Adds CSS styling to controls.                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/interfaces/wisej.core.iwisejextenderprovider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
